---
layout: article
title:  "Jabra Speak"
permalink: /articles/microphones/jabra-speak/
toc: Automatic setup using Sam|Manual setup
---

The [Jabra Speak Series](https://www.jabra.fr/business/speakerphones/jabra-speak-series/) are excellent microphone arrays. They are USB powered, and work out of the box. They also feature a good integrated speaker. To use it, you must declare the Jabra as your default speaker in your Alsa configuration.

If you only wish to use the Jabra as a microphone, and leave the Raspberry Pi's default jack for audio output, you do not need to do anything. If you wish to use the Jabra as a speaker, you need to update your Alsa configuration. This can be done simply by editing your `/etc/asound.conf` file, or automatically using Sam.

# Automatic setup using Sam

Sam allows your to easily set up a microphone via a command-line wizard. Simply run:

```sh
$ sam setup microphone jabra
```

to set up the microphone. It will propose you to also set it up as a speaker.

# Manual setup

First, check that the Jabra is correctly detected as a playback and recording device:

```sh
$ aplay -l
**** List of PLAYBACK Hardware Devices ****
...
card 1: J710 [Jabra Speak 710], device 0: USB Audio [USB Audio]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
```

```sh
$ arecord -l
**** List of CAPTURE Hardware Devices ****
card 1: J710 [Jabra Speak 710], device 0: USB Audio [USB Audio]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
```

In this example, the Jabra is identified as card 1 and device 0.

To tell Snips to use this device for both playback and recording, edit your `/etc/asound.conf` file, or create it if it does not exist, and paste the following:

```ini
pcm.!default {
    type asym
    playback.pcm {
        type plug
        slave.pcm "hw:1,0"
    }
    capture.pcm {
        type plug
        slave.pcm "hw:1,0"
    }
}
```

The important part is `hw:1,0`. Change this to match your card and device IDs respectively, if they differ in the above output for `aplay` and `arecord`.
