---
layout: article
title:  "Sam API"
permalink: /articles/sam-api/
toc: connect|create|deploy|devices|disconnect|init|install|log|set-hotname|setup|status|test|update|watch
---


Running `sam --help` displays the accessible commands:

```sh
$ sam --help
sam <command>

Commands:
  sam connect &lt;HOSTNAME_OR_IP&gt;  Connect to a device
  sam create                    Create a new Snips assistant
  sam deploy                    Deploy an assistant
  sam devices                   Discover devices on your local network
  sam disconnect                Disconnect from a device
  sam init                      Install Snips Platform components
  sam install                   Install an assistant or a demo
  sam log                       Show MQTT logs
  sam set-hostname &lt;HOSTNAME&gt;   Set device hostname
  sam setup                     Setup hardware
  sam status                    Show the status of your device
  sam test                      Test assistant and device
  sam update                    Update Snips platform on your device
  sam watch                     Show MQTT logs

Options:
  --version  Show version number [boolean]
  --help     Show help [boolean]
```

## `connect HOSTNAME_OR_IP`

Establish an SSH connection to a device, saving the public key to the device in order to maintain the connection across sessions.

## `create`

This command creates a Snipsfile on the local machine (in the current working directory). The Snipsfile points to a sample assistant (Weather-EN) and a sample skill (snipsowm). It does nothing on the remote device. In fact, this command does not require an active connection to a device. It can be run standalone, for example to test a skill on a local machine.

## `deploy`

Deploy a Snipsfile to a device. This consists in: 1. copy the local Snipsfile to the device; 2. run "snipsmanager install" on the remote device (note: this command may require user input such as Snips Console credentials - must ensure everything is passed as parameters so that the remote script does not stall); 3. start the snipsmanager service.

## `devices`

Lists devices on the network whose Mac address matches that of Raspberry Pis.

## `disconnect`

Disconnect from a device, clearing the cached session info on the local machine.

## `init`

Installs the Snips core components on the device, as well as Snips Manager. In the future, parameters will be added to allow a user to install only specific components

## `reboot`

Reboot the device. Should show a loading message until connection to the device is re-established.

## `restart [all|SERVICE_NAME]`

Restart all `snips-*` services, or a specific service.

## `status`

Fetch the device status, including the OS version, info about the installed assistant (name, hotword, language), status of `snips-*` services.

## `test microphone`

Starts recording audio on the device, and play it back after the user presses Enter. Then it plays back the sound, allowing the user to test the quality of the audio capture.

## `test speaker`

Plays a sound on the speaker.

## `test hotword`

Starts the snips-hotword service if it is not started yet, and listens to hotword messages on MQTT, allowing the user to check whether the hotword is properly detected or not. The command should also check for the hotword name in the installed assistant.json, printing "Say Jarvis..." in the console as a hint.

## `test asr`

Same as hotword, but printing the text that gets transcribed by the ASR service.

## `test skill SKILL_NAME intent=INTENT_NAME SLOT1_NAME=SLOT1_VALUE...`

Looks up a skill in the Snipsfile, send it an intent with the given name and slot values, according to the binding specified in the Snipsfile (or Snipsspec as fallback).

## `update-assistant`

Fetch a newer version of the assistant (in the console, on a remote URL, from a file) and install it on the device.

## `watch`

Watch for MQTT messages passed on the broker to which the device is connected.
