---
layout: gettingstarted
title:  "Installation"
permalink: /getting-started/installation/
---

In this step you will install the Sam Command Line Interface (CLI). You will use the CLI to create, manage and deploy your assistants, to configure your hardware, to view the logs of your assistants as it runs on the Raspberry, as well as to run your application locally for quick prototyping.

<!-- <div class="dropdown is-hoverable">
  <div class="dropdown-trigger">
    <button class="button is-primary" aria-haspopup="true" aria-controls="dropdown-menu4">
      <span class="icon is-small">
        <i class="fa fa-download"></i>
      </span>
      <span>Choose platform...</span>
      <span class="icon is-small">
        <i class="fa fa-angle-down" aria-hidden="true"></i>
      </span>
    </button>
  </div>
  <div class="dropdown-menu" id="dropdown-menu3" role="menu">
    <div class="dropdown-content">
      <a href="#" class="dropdown-item">
        macOS
      </a>
      <a href="#" class="dropdown-item">
        Linux
      </a>
      <a href="#" class="dropdown-item">
        Windows
      </a>
    </div>
  </div>
</div>
<br /> -->

```sh
$ npm install -g snips-sam
```

Once installed, you can use the `sam` command from your command shell.

Find nearby Raspberry Pi devices:

```sh
$ sam devices
Scanning Raspberry Pi devices on the network...
Found 2 devices:
- raspberrypi (192.168.9.2)
- raspi-basement (192.168.9.3)
```

<div class="notification light-notification">
  If Sam does not find any device, make sure the Raspberry Pi and your computer are on the same network. If you have any problems, check out the <a href="{{site.baseurl}}/tutorials/networking">Network Setup Guide</a>.
</div>

Connect to your device (you may use your device IP or hostname, and in the latter case, make sure to append `.local` to the hostname):

```sh
$ sam connect raspberrypi.local
? Enter username for the device: pi
? Enter password for the device: [hidden]
Connected to raspberrypi.local
```

You are now connected to your Snips device. At any time, you may check the connection status:

```sh
$ sam status
Connected to device raspberrypi.local
OS version ................... Raspbian GNU/Linux 9 (stretch)
Status ....................... Snips Platform not installed
```

The device is not live yet, as the Snips Platform is not installed. In the next step, you will install the Snips Platform on the device.

<div class="notification light-notification">
  You may disconnect from the device using <code>sam disconnect</code>.
</div>

<br />
<a class="button is-primary" href="{{ site.baseurl }}/getting-started/setup/">
  I have connected to my Pi
</a>
<a class="button" href="#">
  Report a problem
</a>
