"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const process = require("process");
const cli_1 = require("../cli");
const config_1 = require("../utils/config");
const promises_1 = require("../utils/promises");
exports.command = 'disconnect';
exports.desc = 'Disconnect from a device';
exports.handler = (argv) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    cli_1.default.stream.loading(`Disconnecting...`);
    yield promises_1.timeout(500);
    yield config_1.Config.deleteCredentials();
    cli_1.default.stream.stopAndClear();
    cli_1.default.stream.success(`Disconnected from device`);
    process.exit();
});
