export declare const localConfigurationFile: string;
export interface Credentials {
    hostname: string;
    username: string;
}
export declare class Config {
    static getCredentials: () => Promise<Credentials>;
    static deleteCredentials: () => Promise<any>;
    static saveCredentialsOnDisk: (credentials: Credentials) => Promise<any>;
    private static readCredentialsOnDisk;
    static hostnameQuestion: {
        name: string;
        type: string;
        default: string;
        message: string;
        validate: (value: any) => true | "Hostname cannot be blank";
    }[];
    static usernameQuestion: {
        name: string;
        type: string;
        default: string;
        message: string;
        validate: (value: any) => true | "Username cannot be blank";
    }[];
    static passwordQuestion: {
        name: string;
        type: string;
        default: string;
        message: string;
        validate: (value: any) => true | "Password cannot be blank";
    }[];
}
