"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const binding_1 = require("./binding");
const language_1 = require("./language");
class Skill {
    constructor(yamlDoc, defaultLang = language_1.SkillLang.PYTHON) {
        this.name = yamlDoc.name;
        this.url = yamlDoc.url;
        this.language = language_1.langFromString(yamlDoc.language, defaultLang);
        if (yamlDoc.intents) {
            this.bindings = yamlDoc.intents.map(intent => new binding_1.Binding(intent));
        }
        else {
            this.bindings = [];
        }
    }
}
exports.Skill = Skill;
