"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const skill_1 = require("./skill");
const yaml = require('js-yaml');
const fs = require('fs-extra');
class Snipsfile {
    constructor() {
    }
    parse(path) {
        let snipsfilePath = 'Snipsfile';
        if (path) {
            snipsfilePath = path;
        }
        this.stringRepresentation = fs.readFileSync(snipsfilePath, 'utf8');
        const doc = yaml.safeLoad(this.stringRepresentation);
        this.assistantUrl = doc.assistant_url;
        this.assistantId = doc.assistant_id;
        this.assistantFile = doc.assistant_file;
        if (doc.skills) {
            this.skills = doc.skills.map(skill => new skill_1.Skill(skill));
        }
        else {
            this.skills = [];
        }
    }
    static parse(path) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const snipsfile = new Snipsfile();
            try {
                snipsfile.parse(path);
            }
            catch (e) {
                throw new Error(e);
            }
            return snipsfile;
        });
    }
}
exports.Snipsfile = Snipsfile;
