"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const language_1 = require("../models/language");
const shell = require('shelljs');
class Exec {
    static exec(language, actionBlock, slots) {
        switch (language) {
            case language_1.SkillLang.PYTHON:
                return Exec.pythonExec(actionBlock, slots);
            default:
                break;
        }
    }
    static pythonExec(actionBlock, slots) {
        let actionBlockReplaced = actionBlock.replace(/tts_service.speak\(/g, `print('TTS says: ' + `);
        for (const slotName in slots) {
            const slotValue = slots[slotName];
            const regex = new RegExp(`intent.${slotName}`, 'g');
            actionBlockReplaced = actionBlockReplaced.replace(regex, slotValue);
        }
        const code = `<<EOF\n${actionBlock}\nEOF`;
        return shell.exec(`python - ${code}`, { async: true, silent: true });
    }
}
exports.Exec = Exec;
