import * as process from 'process';
import * as yargs from 'yargs';
import cli from '../cli';
import { Config } from '../utils/config';
import { timeout } from '../utils/promises';

exports.command = 'disconnect';
exports.desc = 'Disconnect from a device';

exports.handler = async (argv: yargs.Argv) => {
    cli.stream.loading(`Disconnecting...`);
    await timeout(500);
    await Config.deleteCredentials();
    cli.stream.stopAndClear();
    cli.stream.success(`Disconnected from device`);
    process.exit();
};
