export enum SkillLang {
    PYTHON,
    JAVASCRIPT,
}

export const langFromString = (lang?: string, defaultLang: SkillLang = SkillLang.PYTHON): SkillLang | undefined => {
    if (lang === 'python' || lang === 'py') {
        return SkillLang.PYTHON;
    }
    if (lang === 'javascript' || lang === 'js') {
        return SkillLang.JAVASCRIPT;
    }
    return defaultLang;
};

export const toString = (lang: SkillLang | undefined): string | undefined => {
    switch (lang) {
        case SkillLang.PYTHON: return 'Python';
        case SkillLang.JAVASCRIPT: return 'Javascript';
        default: return undefined;
    }
};
