import { Binding } from './binding';
import { SkillLang, langFromString } from './language';

export class Skill {

    name?: string;
    url?: string;
    language?: SkillLang;
    bindings?: Binding[];

    constructor(yamlDoc: any, defaultLang: SkillLang = SkillLang.PYTHON) {
        this.name = yamlDoc.name;
        this.url = yamlDoc.url;
        this.language = langFromString(yamlDoc.language, defaultLang);
        if (yamlDoc.intents) {
            this.bindings = yamlDoc.intents.map(intent => new Binding(intent));
        } else {
            this.bindings = [];
        }
    }
}
