import { Skill } from './skill';
const yaml = require('js-yaml');
const fs = require('fs-extra');

export class Snipsfile {

    assistantUrl?: string;
    assistantId?: string;
    assistantFile?: string;
    skills?: Skill[];
    stringRepresentation?: string;

    constructor() {
    }

    parse(path?: string) {
        let snipsfilePath = 'Snipsfile';
        if (path) {
            snipsfilePath = path;
        }

        this.stringRepresentation = fs.readFileSync(snipsfilePath, 'utf8');
        const doc = yaml.safeLoad(this.stringRepresentation);

        this.assistantUrl = doc.assistant_url;
        this.assistantId = doc.assistant_id;
        this.assistantFile = doc.assistant_file;
        if (doc.skills) {
            this.skills = doc.skills.map(skill => new Skill(skill));
        } else {
            this.skills = [];
        }
    }

    static async parse(path?: string): Promise<Snipsfile> {
        const snipsfile = new Snipsfile();
        try {
            snipsfile.parse(path);
        } catch (e) {
            throw new Error(e);
        }
        return snipsfile;
    }
}
